# GimpUi.SizeEntry.add_field

    @accepts(GimpUi.SizeEntry, Gtk.SpinButton, Gtk.SpinButton)
    @returns(none)
    def add_field(self, value_spinbutton, refval_spinbutton):
        # Python wrapper for gimp_size_entry_add_field()

Adds an input field to the GimpUi.SizeEntry.

The new input field will have the index 0. If you specified @show_refval as True in GimpUi.SizeEntry.new you have to pass an additional Gtk.SpinButton to hold the reference value. If @show_refval was False, refval_spinbutton will be ignored.

self

  The sizeentry you want to add a field to.

value_spinbutton

  The spinbutton to display the field's value.

refval_spinbutton

  The spinbutton to display the field's reference value.